pass_template:
    samplerstates:
        samLinear:
            filter: MIN_MAG_MIP_LINEAR
            addressU: CLAMP
            addressV: CLAMP
    type: match-color-input
    constant-buffers:
        globalParams: {screenSize: SCREEN_SIZE, captureState: CAPTURE_STATE, tileUV: TILE_UV_RANGE}
        controlBuf: { g_sldBlueReduction: bluereductionSlider}

typical_slider:
      type: float
      minimum-value: 0.0
      maximum-value: 1.0
      default-value: 0.0
      ui-sticky-region: 0.01
      ui-value-unit: "%"
      ui-value-min: 0
      ui-value-max: 100
      ui-value-step: 1

user-constants:
    - name: bluereductionSlider
      ui-label: "Intensity"
      ui-label-localized:
          ru-RU: "Интенсивность"
          fr-FR: "Intensité"
          it-IT: "Intensità"
          de-DE: "Intensität"
          es-ES: "Intensidad"
          es-MX: "Intensidad"
          zh-CHS: "强度"
          zh-CHT: "強度"
          ja-JP: "彩度"
          cs-CZ: "Intenzita"
          da-DK: "Intensitet"
          el-GR: "Ένταση"
          en-UK: "Intensity"
          fi-FI: "Intensiteetti"
          hu: "Intenzitás"
          ko-KR: "강도"
          nl-NL: "Intensiteit"
          nb-NO: "Intensitet"
          pl: "Intensywność"
          pt-PT: "Intensidade"
          pt-BR: "Intensidade"
          sl-SI: "Intenzivnost"
          sk-SK: "Intenzita"
          sv-SE: "Intensitet"
          th-TH: "ความเข้ม"
          tr-TR: "Yoğunluk"
      default-value: 0.2
      ui-sticky-value: 0.0
      import: [typical_slider]

main:
    import: [pass_template]
    shader: PS_Nightlight@NightMode.yfx
    textures:
        texColor:
            channel: PIPE_INPUTS_COLOR
